ScreenlyyIDDocs
Docs › API reference › Hosted SDK data

Get hosted SDK document data

Returns the document data for a verification run through the hosted SDK.

This endpoint is for customers using the WebView (mobile or web) implementation. Unlike Get OCR data, it does not need a session ID, which the WebView implementation does not expose.

GEThttps://api.screenlyyid.com/api/v1/document/data

Headers#

NameTypeRequiredDescription
x-api-keystringYesYour ScreenlyyID API key
x-correlation-idstring (uuid)YesCorrelation ID for this customer check

Responses#

StatusDescription
200Successful response

Response body (200)#

FieldTypeRequiredDescription
CountrystringNo
DocumentTypestringNo
DocumentVisualResultsarray of objectNo
DocumentVisualResults[].NamestringNo
DocumentVisualResults[].ValuestringNo
DocumentVisualResults[].ConfidencestringNo
DocumentVisualResults[].PageSidestringNo
DocumentMrzResultsarray of objectNo
DocumentMrzResults[].NamestringNo
DocumentMrzResults[].ValuestringNo
AvailableImagesarray of stringNo

Code samples#

curl --request GET \
  --url 'https://api.screenlyyid.com/api/v1/document/data' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'x-correlation-id: YOUR_CORRELATION_ID'